Subject: Re: [BUG] -next objtool build failure (bisected)

From: Dmitry Torokhov <[email-masked]>
Date: Tue, 15 Oct 2024 11:33:11 -0700

Hi Paul,

On Tue, Oct 15, 2024 at 11:10:11AM -0700, Paul E. McKenney wrote:
> Hello!
> 
> The next-20241011 release gets me build errors like the following:
> 
> 	vmlinux.o: warning: objtool: fetch_item() falls through to next function
> 
> Bisection leads me here:
> 
> 	61595012f280 ("HID: simplify code in fetch_item()")
> 
> This diff looks inoffensive to me, but I get this error on this commit
> and not on its predecessor.
> 
> This build failure happens on quite a few different kernel configurations.
> I bisected using this particular reproducer:
> 
> tools/testing/selftests/rcutorture/bin/kvm.sh --allcpus --buildonly --configs SRCU-T
> 
> Thoughts?

I just added you to another thread where Nathan proposed a couple of
solutions:

https://lore.kernel.org/r/20241010222451.GA3571761@thelio-3990X

Thanks.

-- 
Dmitry